/* Prototypes for functions defined in egrep.c */
static void initialize_buffer(void);
static int fill_buffer_retaining(int n);
static int print_line(char *p,
                      int number,
                      int matching);
static int grep(void);
void usage_and_die(void);
int main(int argc,
         char **argv);
void regerror(char *s);
char *execute(struct regexp *r,
              char *begin,
              char *end,
              int newline,
              int *count,
              int *try_backref);
char *bmg_search(unsigned char *buffer,
                 int buflen);
void bmg_setup(char *pat,
              int folded);
char *index(char *s,
            int c);
char *bcopy(char *s,
            char *d,
            int n);
char *bzero(char *s,
            int n);
int bcmp(char *s,
         char *t,
         int n);
void CleanExit(int status);
